Subject: bug#598: 23.0.60; frame size issue (--geometry or default-frame-alist) when using customized default face

From: Chong Yidong <[email-masked]>
Date: Sun, 28 Sep 2008 16:46:52 -0400

> For a few weeks now (starting around the time of the fix for #47,
> which may or may not be relevant), emacs no longer comes up with the
> correct frame size.
>
> I have it set (to 132x60) in default-frame-alist, but emacs end up
> with varying frame sizes instead - while there seem to be a few that
> it favors, I can't see any real pattern in it.

Do you still see this problem?  I can't seem to reproduce it with latest
CVS.  I have no geometry set in my .Xresources file, and with the
following lines in .emacs:

 (add-to-list 'default-frame-alist '(width . 132))
 (add-to-list 'default-frame-alist '(height . 60))

Emacs seems to start with the appropriate width and height each time.